/*
 * rpvar.h --- RocketPort data structure includes
 * 
 * Written by Theodore Ts'o, 1995.
 * 
 * Copyright 1995 by Comtrol, Inc.  All Rights Reserved
 */

#define RP_UNIT(x) dv_unit(x)
#define RP_PORT(x) (minor(x) & 0x3f)
#define	MAX_RP_PORTS	128


struct rp_port {
	struct tty *		rp_tty; /* cross reference */

/* Initial state */
	struct termios 		it_in;  
	struct termios 		it_out;

/* Lock state */
	struct termios 		lt_in;
	struct termios 		lt_out;

/* Nonzero if callout device is open */
	unsigned char		active_out;
	unsigned char		state;	/* state of dtr */

/* Time to hold DTR down on close */
	int			dtr_wait;
	int			wopeners;	/* processes waiting for DCD */

	int			rp_port;
	int			rp_flags;
	int			rp_unit:2;
	int			rp_aiop:2;
	int			rp_chan:3;
	int			rp_intmask;
	int			rp_imask; /* Input mask */
	int			rp_fifo_lw;
	int			rp_restart;
	int			rp_overflows;
	int			rp_rts_iflow:1;
	int			rp_disable_writes:1;
	int			rp_cts:1;
	int			rp_waiting:1;
	int			rp_xmit_stopped:1;
	CONTROLLER_t *		rp_ctlp;
	CHANNEL_t 		rp_channel;
};

struct termios deftermios = {
	TTYDEF_IFLAG,
	TTYDEF_OFLAG,
	TTYDEF_CFLAG,
	TTYDEF_LFLAG,
	{ CEOF, CEOL, CEOL, CERASE, CWERASE, CKILL, CREPRINT,
	_POSIX_VDISABLE, CINTR, CQUIT, CSUSP, CDSUSP, CSTART, CSTOP, CLNEXT,
	CDISCARD, CMIN, CTIME, CSTATUS, _POSIX_VDISABLE },
	TTYDEF_SPEED,
	TTYDEF_SPEED
};
