#!/bin/sh
#
#

major=20

dmesg | grep ^RocketPort[0-4] > /tmp/rp_list
controllers=`awk '{print $1}' < /tmp/rp_list`

Rnum=0
IRnum=32
LRnum=64
CUnum=128
ICUnum=160
LCUnum=192
unit=1
minor=0

rm -f /dev/ttyR*
rm -f /dev/ttyiR*
rm -f /dev/ttylR*
rm -f /dev/cuaR*
rm -f /dev/cuaiR*
rm -f /dev/cualR*
for i in $controllers 
do
	ndevices=`grep ^$i /tmp/rp_list | sed -e 's/.* \([0-9]*\) ports/\1/'`
	echo -n "Creating $ndevices devices for $i: "
	for dev in `jot $ndevices 0` 
	do
		name=ttyR$Rnum
		echo -n "$name "
		mknod /dev/$name c $major $Rnum 
		name=ttylR$Rnum
		echo -n "$name "
		mknod /dev/$name c $major $LRnum 
		name=ttyiR$Rnum
		echo -n "$name "
		mknod /dev/$name c $major $IRnum 
		name=cuaR$Rnum
		echo -n "$name "
		mknod /dev/$name c $major $CUnum 
		name=cuaiR$Rnum
		echo -n "$name "
		mknod /dev/$name c $major $ICUnum 
		name=cualR$Rnum
		echo -n "$name "
		mknod /dev/$name c $major $LCUnum 
		Rnum=`expr $Rnum + 1`
		LRnum=`expr $LRnum + 1`
		IRnum=`expr $IRnum + 1`
		CUnum=`expr $CUnum + 1`
		LCUnum=`expr $LCUnum + 1`
		ICUnum=`expr $ICUnum + 1`
	done
	unit=`expr $unit + 1`
	echo " "
done
chown root.wheel /dev/ttyR*
chown uucp.dialer /dev/cuaR*
